# GetCompany

Retrieve a single company

`GET /companies/{companyId}`

**API:** Shared Company Service API
**Tag:** Companies
**API Version:** 1.2
**Base URL:** https://api.avalara.com/scs

Source: https://developer.avalara.com/products/shared-services/api/methods/Companies/GetCompany/

## Description

Use this endpoint to retrieve information about a single company. Company identifiers are returned if they exist for the company, regardless of API version.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/). |
| `X-Correlation-Id` | string | header | No | Use the X-Correlation-ID header to support request correlation through requests. This header should be present on all requests and responses. |
| `avalara-version` | string | header | No | The HTTP Header meant to specify the version of the API intended to be used |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Company` |
| 400 | Bad Request | `ErrorInfo` |
| 401 | Unauthorized | `ErrorInfo` |
| 403 | Forbidden | `ErrorInfo` |
| 500 | Internal Server Error | `ErrorInfo` |

### 200 Response: `Company`

Company model object used to create a company

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | string | **Yes** | Unique identifier for the given user. Example: `c2c60111-25f2-43cf-8243-9de94bc4f980`. |
| `companyName` | string | **Yes** | The company name Example: `ABC Corp`. |
| `defaultCountry` | string | **Yes** | The two character ISO-3166 country code for this company. Example: `US`. |
| `tenant` | Reference | **Yes** |  |
| `companyCode` | string | No | A unique code that references this company within your account Example: `DEFAULT`. |
| `isActive` | boolean | No | Specifies whether this company is active |
| `hasDirectoryConsent` | boolean | No | Indicates whether the user has provided consent to include this company in the directory. This field is available starting from API version 1.1. |
| `aspects` | Aspect[] | No |  |
| `tags` | Tags[] | No |  |
| `parent` | Reference | No |  |
| `children` | Reference[] | No | The child companies within this parent company |
| `meta` | Meta | No |  |
| `ani` | string | No | Avalara Network Identifier (ANI) - a unique 15-character identifier automatically generated at company creation. Example: `9IN0W8N6S2L4A22`. |
| `companyIdentifiers` | CompanyIdentifier[] | No | Company identifiers following international standards. |

## Example Request

```bash
curl -X GET "https://api.avalara.com/scs/companies/{companyId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```